body {
  margin: 0;
  padding: 0;
  font-family: Arial, sans-serif;

  background: linear-gradient(to right, #141e30, #243b55);

  height: 100vh;

  display: flex;
  justify-content: center;
  align-items: center;
}

.container {
  text-align: center;
}

h1 {
  color: white;
  font-size: 50px;
  margin-bottom: 30px;
}

.search-box {
  margin-bottom: 25px;
}

input {
  padding: 14px;
  width: 240px;

  border: none;
  border-radius: 10px;

  outline: none;

  font-size: 16px;
}

button {
  padding: 14px 20px;

  border: none;
  border-radius: 10px;

  background-color: #00b894;

  color: white;
  font-size: 16px;

  cursor: pointer;

  margin-left: 10px;

  transition: 0.3s;
}

button:hover {
  background-color: #019875;
}

.weather-card {
  width: 320px;

  margin: auto;

  padding: 25px;

  border-radius: 20px;

  background: rgba(255, 255, 255, 0.1);

  backdrop-filter: blur(10px);

  color: white;

  box-shadow: 0 8px 32px rgba(0,0,0,0.3);

  transition: 0.3s;
}

.weather-card:hover {
  transform: scale(1.05);
}

.weather-card h2 {
  font-size: 32px;
}

.weather-card p {
  font-size: 20px;
}
@media (max-width: 600px) {

  h1 {
    font-size: 36px;
  }

  input {
    width: 180px;
    margin-bottom: 10px;
  }

  button {
    margin-left: 0;
    width: 100px;
  }

  .weather-card {
    width: 260px;
    padding: 20px;
  }

}